PDA

Visualizza la versione completa : errore di X


Ratatuia
27-07-2004, 18:28
oggi ho deciso di aggiornare la mia suse 9.0 alla 9.1 mettendo in yast come fonte di installazione un mirror su gwdg.de usando la dir current...

a parte che mi ha scaricato un po' di cose (vabbè, normale), mi ha dato problemi con il bootloader...quando poi ho riavviato non faceva neanche più il login grafico e quando ho provato a dare startx mi sono trovato con questi errori:



X: error while loading shared libraries libresmgr.so.0.1: cannot open shared object file: No such file or directory giving up
xinit: No such file or directory (errno 2): unable to connect to X server
xinit: No such process (errno 3): Server error



e questo è quasi tutto...nel senso che anche da console non mi funzionano i moduli di yast, ma questo eventualmente ne parliamo dopo :zizi:

Ratatuia
27-07-2004, 19:22
up! :yuppi:

alex86
27-07-2004, 21:28
magari nn c'erano tutti i pacchetti..anke io avevo il tuo stesso problema...


magari potresti provare con apt ma non credo avrai una vera e propria 9.1!

Ratatuia
27-07-2004, 21:35
ma poi come hai risolto?
cmq dalla consolle di ripristino provo a risistemare il tutto...

ora che mi ricordo però quando sono andato ad aggiornare il tutto il sistema mi aveva dato un problema di dipendenza con delle librerie, ma francamente nn mi ricordo quali fossero... :fagiano:

andy caps
27-07-2004, 21:37
:fagiano: io ci ho provato con apt a fare un disastrotto del genere ma dopo un paio d'ore di tentativi ho reinstallato (ci sono delle guide apposite per fare questo aggiornamento

:D scaricati la 9.1 ed installala

Ratatuia
27-07-2004, 21:46
sull'altro pc sto scaricando tutti i pacchetti della 9.1...
però è uno sbattimento x ogni volta che esce una versione della suse! anche perchè la 9.0 ce l'ho già su dvd...

tu x caso hai idea di dove trovare queste guide?

alex86
27-07-2004, 22:01
come ho risolto??ho comprato la 9.1...

scaricati la versione personal e poi la aggiorni!..nn c'è bisogno di scaricarti pakketto pakketto della 9.1 :ciauz:

Ratatuia
27-07-2004, 22:03
uff, però mi scoccia che per aggiornarla da una versione all'altra debba fare tutto sto casino...a qst punto mi conviene prendere che ne so un debian, una slack o una gentoo... :jam:

alex86
27-07-2004, 22:09
be..le differenze ci sono!se vuoi una distro desktop prendi mdk no?!

cmq io ho preso la 9.1 ci ho messo apt e ho sempre aggiornato tutto grazie a questo!..

se voglio un pakketto lo metto..

kde 3.2.3 ecc..nn è male suse sai?!anzi..

Ratatuia
27-07-2004, 22:12
Originariamente inviato da alex86
be..le differenze ci sono!se vuoi una distro desktop prendi mdk no?!

cmq io ho preso la 9.1 ci ho messo apt e ho sempre aggiornato tutto grazie a questo!..

se voglio un pakketto lo metto..

kde 3.2.3 ecc..nn è male suse sai?!anzi..


io con la suse mi sono trovato sempre benissimo...è il fattore aggiornamento che nn mi piace...cioè, possibile che si debba fare tutto questo tran tran x tenerla aggiornata?

Loading